
<app-navar></app-navar>
<hr>
<h1>Orden de compra </h1>
<hr>
<hr>
<form class="form-inline" [formGroup]="addressForm" novalidate (ngSubmit)="actualizarOrden( f )" #f="ngForm">
    <label class="my-1 mr-2" for="inlineFormCustomSelectPref">Cliente</label>
    <select class="custom-select my-1 mr-sm-2" formControlName="idPersona">
        <option selected>--Seleccione--</option>
        <option *ngFor="let cliente of clientes | keyvalue;  let i = index" value="{{ i }}">
            {{cliente.value.nombre}} {{cliente.value.apellido}}
        </option>
    </select>

    <label class="my-1 mr-2" for="inlineFormCustomSelectPref">Plato</label>
    <select class="custom-select my-1 mr-sm-2" formControlName="idComida">
        <option selected>--Seleccione--</option>
        <option *ngFor="let comida of comidas | keyvalue;  let i = index" value="{{comida.value.preciocomida}}">
            {{comida.value.tipocomida}} - {{comida.value.preciocomida}}
        </option>
    </select>
    <button type="submit" class="btn btn-primary my-1">Agregar</button>
</form>
<br>
<br>
<h1>---Factura total---- <small> Doña Clarita</small></h1>

<table class="table">
    <thead class="thead-dark">
        <tr>
            <th scope="col">#</th>
            <th scope="col">Nombre</th>
            <th scope="col">Apellido</th>
            <th scope="col">precio comida</th>
            <th scope="col">habitacion</th>
            <th scope="col">precio habitacion</th>
            <th scope="col">precio total</th>
        </tr>
    </thead>

    <tbody>
        <tr *ngFor="let habitacion of clientes | keyvalue;  let i = index">
            <th scope=" row ">{{ i + 1 }}</th>
            <td>{{ habitacion.value.nombre }}</td>
            <td>{{ habitacion.value.apellido }}</td>
            <td>{{ habitacion.value.precioComida }}</td>
            <td>{{ habitacion.value.habitacion }}</td>
            <td>{{ habitacion.value.preciohabitacion }}</td>
            <td>{{ habitacion.value.preciohabitacion - 0 + habitacion.value.precioComida }}</td>
        </tr> 
    </tbody>
</table>